fbsql_hostname
fbsql_list_dbs
FrontBase Functions
PHP Manual

# fbsql_insert_id

Get the id generated from the previous INSERT operation

### Description

int fbsql_insert_id ([ resource `$link_identifier` ] )

Gets the id generated from the previous INSERT operation which created a DEFAULT UNIQUE value.

> Note:

> The value of the FrontBase SQL function fbsql_insert_id always contains the most recently generated DEFAULT UNIQUE value, and is not reset between queries.

### Parameters

`link_identifier`

  A FrontBase link identifier returned by fbsql_connect or fbsql_pconnect.

  If optional and not specified, the function will try to find an open link to the FrontBase server and if no such link is found it will try to create one as if fbsql_connect was called with no arguments.

### Return Values

Returns the ID generated from the previous INSERT query, or 0 if the previous query does not generate an DEFAULT UNIQUE value.

If you need to save the value for later, be sure to call this function immediately after the query that generates the value.

### See Also

- fbsql_affected_rows